/*
 * sc_main.cpp
 *
 *  Created on:
 *      Author:
 */

#include "factory.h"
#include <catch2/catch_session.hpp>
#include "../axi4_pin_level/testbench.h"

using namespace scc;
int sc_main(int argc, char* argv[]) {
    sc_report_handler::set_actions(SC_ID_MORE_THAN_ONE_SIGNAL_DRIVER_, SC_DO_NOTHING);
    scc::init_logging(LogConfig().logLevel(log::INFO).logAsync(false));
    scc::tracer trace("axi4_tlm_pin_tlm", scc::tracer::file_type::NONE, true);

    factory::add<testbench> tb;

    factory::get_instance().create();
    int result = Catch::Session().run( argc, argv );
    factory::get_instance().destroy();

    return result + sc_report_handler::get_count(SC_ERROR) + sc_report_handler::get_count(SC_WARNING);
}
